BEGIN {
  FS = "&";
  printf( "<table width=\"100%%\" border=\"1\" cellpadding=\"5\"><tr><th>MAC</th><th>IP</th><th>Download</th><th>Upload</th><th>%s</th><th>URL</th><th>User Agent</th></tr>", TS_TITLE );
}

{
  gsub( "%3A", ":"  , $6 );
  gsub( "%2F", "/"  , $6 );
  gsub( "%3F", "?"  , $6 );
  gsub( "%26", "\\&", $6 );
  printf( "<tr><td nowrap align=\"center\">%s</td><td nowrap align=\"center\">%s</td><td nowrap align=\"center\">%s</td><td nowrap align=\"center\">%s</td><td nowrap align=\"center\">%s</td><td nowrap align=\"left\"><a href=\"%s\">%s</a></td><td nowrap align=\"left\">%s</td></tr>",
          substr( $1, 5 ), substr( $2, 8 ), volume( substr( $3, 10 ) ), volume( substr( $4, 8 ) ), strftime( "%Y-%m-%d %H:%M:%S", substr( $5, 7 ) ), substr( $6, 5 ), substr( $6, 5 ), substr( $7, 11 ) );
}

END {
  printf( "</table>\nTotal : %i\n", NR );
}

function volume( bytes )
{
  bytes += 0;
  if ( bytes < 10000 ) return bytes " B"
  if ( bytes < 10000000 ) return int( bytes / 1000 ) " kB"
  return int( bytes / 1000000 ) " MB";
}
